declare module "index" {
    class PageBuilder {
        size: number;
        pageSize: number;
        test(): void;
        constructor(pageSize: number);
        getTotalPages(): number;
        setSize(size: number): void;
        getPage<T>(page: number, elements: T[]): {
            first: boolean;
            last: boolean;
            number: number;
            numberOfElements: number;
            size: number;
            sort: string;
            totalElements: number;
            totalPages: number;
            content: T[];
        };
        _startIndex(page: number): number;
        _endIndex(page: number): number;
        getSize(): number;
        getPageSize(): number;
    }
    export default PageBuilder;
}
