import PageBuilder from "../src/index";

describe(' a test ', () => {
	it('should success', () => {
		expect(true).toEqual(true);
	});
});

const first = ['a','b','c','d','e'];
const second = ['f','g','h','i','j'];
const third = ['k','l','m'];

const data = [...first, ...second, ...third];
var pageBuilder : PageBuilder;

beforeEach(() => {
	pageBuilder = new PageBuilder(first.length);
});

describe('_startIndex', () => {	
	it('should return 0 if first page is requested',()=> {
		expect(pageBuilder._startIndex(0)).toEqual(0);
	});
});

describe('_endIndex', () => {	
	it('should return 4 if first page is requested',()=> {
		expect(pageBuilder._endIndex(0)).toEqual(4);
	});
});

describe('getTotalPages', () => {
	it('should return 3', () => {
		pageBuilder.setSize(data.length);
		expect(pageBuilder.getTotalPages()).toEqual(3);
	})
});


